Package uk.ac.starlink.table.join

# Class NullProgressIndicator

java.lang.Object
uk.ac.starlink.table.join.NullProgressIndicator

All Implemented Interfaces:
  `ProgressIndicator`

public class NullProgressIndicator extends Object implements ProgressIndicator
Dummy progress indicator. All callbacks are no-ops.

Since:
  24 Mar 2004
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`NullProgressIndicator()`

## Method Summary

Modifier and Type
Method
Description
`void`
`endStage()`
Indicates that no more `ProgressIndicator.setLevel(double)` calls will be made until the next `ProgressIndicator.startStage(java.lang.String)`.
`void`
`logMessage(String msg)`
Registers a comment about the progress of the algorithm.
`void`
`setLevel(double level)`
Specifies that the work of the most recently-started stage is a certain proportion complete.
`void`
`startStage(String stage)`
Indicates that a number of `ProgressIndicator.setLevel(double)` calls may follow, followed by a `ProgressIndicator.endStage()` call.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullProgressIndicator

public NullProgressIndicator()

## Method Details

### startStage

public void startStage(String stage)
Description copied from interface: `ProgressIndicator`
Indicates that a number of `ProgressIndicator.setLevel(double)` calls may follow, followed by a `ProgressIndicator.endStage()` call.

Specified by:
  `startStage` in interface `ProgressIndicator`
Parameters:
  `stage` - name/description of the processing stage

### setLevel

public void setLevel(double level)
Description copied from interface: `ProgressIndicator`
Specifies that the work of the most recently-started stage is a certain proportion complete. Calls to this method must take place between paired calls to `ProgressIndicator.startStage(java.lang.String)` and `ProgressIndicator.endStage()`, preferably with non-decreasing values of `level`.

The method may throw an InterruptedException as a message to the caller that the work should be interrupted. A caller which receives such an exception should stop using resources and tidy up as soon as is convenient.

Specified by:
  `setLevel` in interface `ProgressIndicator`
Parameters:
  `level` - value between 0. and 1. indicating amount of completion

### endStage

public void endStage()
Description copied from interface: `ProgressIndicator`
Indicates that no more `ProgressIndicator.setLevel(double)` calls will be made until the next `ProgressIndicator.startStage(java.lang.String)`.

Specified by:
  `endStage` in interface `ProgressIndicator`

### logMessage

public void logMessage(String msg)
Description copied from interface: `ProgressIndicator`
Registers a comment about the progress of the algorithm. This should not be called between calls to `ProgressIndicator.startStage(java.lang.String)` and `ProgressIndicator.endStage()`.

Specified by:
  `logMessage` in interface `ProgressIndicator`
Parameters:
  `msg` - message